Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 786564 - dev-libs/isl-0.23-r1: configure errors when /bin/sh != bash
Summary: dev-libs/isl-0.23-r1: configure errors when /bin/sh != bash
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL: https://groups.google.com/g/isl-devel...
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: nonbash
  Show dependency tree
 
Reported: 2021-04-28 21:36 UTC by Matt Whitlock
Modified: 2021-05-02 21:47 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
isl-0.23-fix-configure-bashisms.patch (isl-0.23-fix-configure-bashisms.patch,1.08 KB, patch)
2021-04-28 21:36 UTC, Matt Whitlock
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Whitlock 2021-04-28 21:36:16 UTC
Created attachment 703482 [details, diff]
isl-0.23-fix-configure-bashisms.patch

isl's configure.ac contains Bashisms (use of == operator with 'test' built-in). Thus, configure emits errors when /bin/sh is not Bash. This doesn't cause the build to fail outright, but it may be causing misdetection of features.

AM_CONDITIONAL(SMALL_INT_OPT, test "x$with_int" == "ximath-32")
AS_IF([test "x$with_int" == "ximath-32"], [

/var/tmp/portage/dev-libs/isl-0.23-r1/work/isl-0.23/configure: 20657: test: xgmp: unexpected operator
/var/tmp/portage/dev-libs/isl-0.23-r1/work/isl-0.23/configure: 20665: test: xgmp: unexpected operator

The attached patch removes the Bashisms and allows dev-libs/isl-0.23-r1 to configure without error when /bin/sh is Dash.
Comment 1 Sam James archtester gentoo-dev Security 2021-04-28 21:37:11 UTC
Note that such a fix would therefore ideally be accompanied with a revbump.
Comment 2 Sergei Trofimovich gentoo-dev 2021-04-29 08:37:17 UTC
Can you send the patch upstream as well?

Should be a matter of sending patch to https://groups.google.com/g/isl-development
Comment 3 Larry the Git Cow gentoo-dev 2021-05-02 21:31:22 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=611d3746e7445cf612bb4a623ebdff15879afc9d

commit 611d3746e7445cf612bb4a623ebdff15879afc9d
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2021-05-02 21:31:09 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2021-05-02 21:31:19 +0000

    dev-libs/isl: bump up to 0.24
    
    While at it applied bashism fix by Matt Whitlock.
    
    Fix-by: Matt Whitlock
    Closes: https://bugs.gentoo.org/786564
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 dev-libs/isl/Manifest                    |  1 +
 dev-libs/isl/files/isl-0.24-nobash.patch | 35 ++++++++++++++++
 dev-libs/isl/isl-0.24.ebuild             | 71 ++++++++++++++++++++++++++++++++
 3 files changed, 107 insertions(+)
Comment 4 Sergei Trofimovich gentoo-dev 2021-05-02 21:47:21 UTC
(In reply to Sergei Trofimovich from comment #2)
> Can you send the patch upstream as well?
> 
> Should be a matter of sending patch to
> https://groups.google.com/g/isl-development

I sent on your behalf as https://groups.google.com/g/isl-development/c/GOmQqKVDpRk. I hope it's ok.